// Name
// Student ID

import fisica.*;

FWorld world;
FCircle growing;

void setup()
{
  size( 500, 500 );
  Fisica.init( this );
  
  world = new FWorld();

  world.setEdges( color( 255 ) );
  world.bottom.setFriction( 10 );
  
  // Add your geometry here!

  growing = null;
}

void draw()
{
  world.step();

  if ( growing != null ) {
    // If you're currently holding down the mouse
    // button to grow a new dropper, make it a bit
    // larger.
    growing.setSize( growing.getSize() + 1 );
    growing.setPosition( mouseX, mouseY );
  }

  background( 50 );
  world.draw();
}

void mousePressed()
{
  if ( world.getBody( mouseX, mouseY ) == null ) {
    // Start growing a new ball to drop.
    growing = new FCircle( 5 );
    growing.setPosition( mouseX, mouseY );
    growing.setDensity( 3 );
    world.add( growing );
  }
}

void mouseReleased()
{
  growing = null;
}